• Antergos Installer - Error


    I get the following error at the end of the installation process: “Can’t install necessary packages. Cnchi can’t continue.”

    I have tried installing multiple times to rule out things and seem to get a different error code each time. The latest being 87377.

    On each occasion it fails to install I have selected KDE. When I try installing with Gnome it installs successfully.

  • @Rasziel
    I tried to install Antergos 17.10 KDE into VirtualBox and it succeeded without any problems. The installed size was 5.8GB.
    I chose manual partitioning (only one partition), msdos filesystem table, default apps.
    How about your internet connection, is it OK?

  • Yup my connection is fine. I tried manually changing my mirrors to see they were an issue. I tried installing onto bare metal and in a vm with no discernible difference.

  • @Rasziel posting /tmp/chchi.log and /tmp/postinstall.log might greatly enhance the change of having the issue addressed.

  • Which ISO did you download?

  • I’m getting same error too. This is reported in cnchi repo with full log
    (https://github.com/Antergos/Cnchi/issues/803), basically antergos-kde-setup update conflict (https://forum.antergos.com/topic/8070/antergos-kde-setup-update-failed/4) . Once you have already installed desktop you can workaround it, but cnchi just bail with error immediately.

  • Same problem here. I tried all given recommendations, but none. (Also verified the ISO.)
    I finally managed to install Antergos KDE using the 17.9 ISO (luckily, I had a copy in my HDD). Everything went smoothly. There’s something wrong with the 17.10 ISO!

  • I had the exact same problem when trying Antergos w/ KDE from the 17.10 ISO .

    If it’s working from the 17.9 ISO I’ll have to try it when I get home from work today - which may be sooner rather than later since I’m simply not feeling it today.

error186 installer34 Posts 8Views 247
Log in to reply